package de.uni_kassel.usf.LandReclamationJess;

public class ExpertiseAtom {
    private int ID;
    private boolean available;

    public ExpertiseAtom(int aID) {
        this.ID = aID;
        this.markUnavailable();
    }

    public boolean isAvailable(){
        return available;
    }
    
    /**
     * @return Returns true if the ExpertiseAtom was perviously unavailable.
     */
    public boolean markAvailable(){
        boolean success = !available;
        available = true;
        return success;
    }
    
    public boolean markUnavailable(){
        boolean success = available;
        available = false;
        return success;
    }
    

    /**
     * @return Returns the iD.
     */
    public int getID() {
        return ID;
    }

    /**
     * @param id The iD to set.
     */
    public void setID(int id) {
        ID = id;
    }

}
